playerc_camera_t Struct Reference
camera

Camera proxy data. More...

`#include <playerc.h>`

## Public Attributes

playerc_device_t | info
| Device info; must be at the start of all device structures. More...
int | width
| Image dimensions (pixels). More...
int | height
int | bpp
| Image bits-per-pixel (8, 16, 24). More...
int | format
| Image format (e.g., RGB888). More...
int | fdiv
| Some images (such as disparity maps) use scaled pixel values; for these images, fdiv specifies the scale divisor (i.e., divide the integer pixel value by fdiv to recover the real pixel value). More...
int | compression
| Image compression method. More...
int | image_count
| Size of image data (bytes)
uint8_t * | image
| Image data (byte aligned, row major order). More...

## Detailed Description

Camera proxy data.

## Member Data Documentation

int playerc_camera_t::bpp

Image bits-per-pixel (8, 16, 24).

int playerc_camera_t::compression

Image compression method.

int playerc_camera_t::fdiv

Some images (such as disparity maps) use scaled pixel values; for these images, fdiv specifies the scale divisor (i.e., divide the integer pixel value by fdiv to recover the real pixel value).

int playerc_camera_t::format

Image format (e.g., RGB888).

uint8_t* playerc_camera_t::image

Image data (byte aligned, row major order).

Multi-byte image formats (such as MONO16) are automatically converted to the correct host byte ordering.

playerc_device_t playerc_camera_t::info

Device info; must be at the start of all device structures.

int playerc_camera_t::width

Image dimensions (pixels).

The documentation for this struct was generated from the following file:

- playerc.h

Last updated 12 September 2005 21:38:45